import { Logger } from "../adapters/logger.js";
import { SansDependencies } from "../binding.js";
import { Converter } from "../converters/types.js";
import { findOriginalConfigurations } from "../input/findOriginalConfigurations.js";
import { ResultStatus } from "../types.js";
export declare type RunCliDependencies = {
    converters: Converter[];
    findOriginalConfigurations: SansDependencies<typeof findOriginalConfigurations>;
    logger: Logger;
};
/**
 * @see `/docs/Architecture/README.md` for documentation.
 */
export declare const runCli: (dependencies: RunCliDependencies, rawArgv: string[]) => Promise<ResultStatus>;
