import { SansDependencies } from "../../binding.js";
import { collectCommentFileNames } from "../../comments/collectCommentFileNames.js";
import { AllOriginalConfigurations } from "../../input/findOriginalConfigurations.js";
import { ResultWithDataStatus, TSLintToESLintSettings } from "../../types.js";
import { convertFileComments } from "./convertFileComments.js";
import { extractGlobPaths } from "./extractGlobPaths.js";
import { reportCommentResults } from "./reporting/reportCommentResults.js";
export declare type ConvertCommentsDependencies = {
    collectCommentFileNames: SansDependencies<typeof collectCommentFileNames>;
    convertFileComments: SansDependencies<typeof convertFileComments>;
    extractGlobPaths: SansDependencies<typeof extractGlobPaths>;
    reportCommentResults: SansDependencies<typeof reportCommentResults>;
};
/**
 * Root-level driver to convert a tslint:disable comments to eslint-disables.
 * @see `/docs/Architecture/Comments.md` for documentation.
 */
export declare const convertComments: (dependencies: ConvertCommentsDependencies, { comments }: Pick<TSLintToESLintSettings, "comments">, { typescript }: Pick<AllOriginalConfigurations, "typescript">, ruleEquivalents: Map<string, string[]>) => Promise<ResultWithDataStatus<string[] | undefined>>;
