import { SansDependencies } from "../../binding.js";
import { ResultWithStatus, TSLintToESLintSettings } from "../../types.js";
import { convertEditorConfig } from "./convertEditorConfig.js";
import { reportEditorConfigConversionResults } from "./reporting/reportEditorConfigConversionResults.js";
import { EditorConfigDescriptor } from "./types.js";
export declare type ConvertEditorConfigsDependencies = {
    convertEditorConfig: SansDependencies<typeof convertEditorConfig>;
    editorConfigDescriptors: readonly EditorConfigDescriptor[];
    reportEditorConfigConversionResults: SansDependencies<typeof reportEditorConfigConversionResults>;
};
/**
 * @see /docs/Editors.md for documentation.
 */
export declare const convertEditorConfigs: (dependencies: ConvertEditorConfigsDependencies, settings: TSLintToESLintSettings) => Promise<ResultWithStatus>;
