import { ErrorSummary } from "../../../errors/errorSummary.js";
import { TSLintConfigurationRules } from "../../../input/findTSLintConfiguration.js";
import { RuleConverter } from "./ruleConverter.js";
import { RuleMerger } from "./ruleMerger.js";
import { ESLintRuleOptions, TSLintRuleOptions } from "./types.js";
export declare type ConvertRulesDependencies = {
    ruleConverters: Map<string, RuleConverter>;
    ruleMergers: Map<string, RuleMerger>;
};
export declare type RuleConversionResults = {
    converted: Map<string, ESLintRuleOptions>;
    failed: ErrorSummary[];
    missing: TSLintRuleOptions[];
    plugins: Set<string>;
    obsolete: Set<string>;
    ruleEquivalents: Map<string, string[]>;
};
/**
 * Converts raw TSLint rules to their ESLint equivalents.
 * @see `/docs/Architecture/Linters.md` for documentation.
 */
export declare const convertRules: (dependencies: ConvertRulesDependencies, rawTslintRules: TSLintConfigurationRules | undefined, ruleEquivalents: Map<string, string[]>) => RuleConversionResults;
