import { SansDependencies } from "../../../binding.js";
import { ConfigurationError } from "../../../errors/configurationError.js";
import { ESLintConfiguration } from "../../../input/findESLintConfiguration.js";
import { importer } from "../../../input/importer.js";
export declare type RetrieveExtendsValuesDependencies = {
    importer: SansDependencies<typeof importer>;
};
export declare type RetrievedExtensionValues = {
    configurationErrors: ConfigurationError[];
    importedExtensions: Partial<ESLintConfiguration>[];
};
/**
 * Imports any extended ESLint rulesets as ESLint configurations.
 */
export declare const retrieveExtendsValues: (dependencies: RetrieveExtendsValuesDependencies, rawExtensionNames: string | string[]) => Promise<RetrievedExtensionValues>;
