import { SansDependencies } from "../../../binding.js";
import { ESLintConfiguration } from "../../../input/findESLintConfiguration.js";
import { OriginalConfigurations } from "../../../input/findOriginalConfigurations.js";
import { TSLintConfiguration } from "../../../input/findTSLintConfiguration.js";
import { removeExtendsDuplicatedRules } from "../pruning/removeExtendsDuplicatedRules.js";
import { RuleConversionResults } from "../rules/convertRules.js";
import { checkPrettierExtension } from "./prettier/checkPrettierExtension.js";
import { retrieveExtendsValues } from "./retrieveExtendsValues.js";
import { SummarizedConfigResultsConfiguration } from "./types.js";
export declare type SummarizePackageRulesDependencies = {
    checkPrettierExtension: typeof checkPrettierExtension;
    removeExtendsDuplicatedRules: typeof removeExtendsDuplicatedRules;
    retrieveExtendsValues: SansDependencies<typeof retrieveExtendsValues>;
};
/**
 * Given an initial set of rule conversion results and original configurations,
 * determines which ESLint rulesets to extend from and removes redundant rule values.
 */
export declare const summarizePackageRules: (dependencies: SummarizePackageRulesDependencies, eslint: Pick<OriginalConfigurations<ESLintConfiguration>, "full"> | undefined, tslint: OriginalConfigurations<Pick<TSLintConfiguration, "extends">>, ruleConversionResults: RuleConversionResults, prettierRequested?: boolean | undefined) => Promise<SummarizedConfigResultsConfiguration>;
